import request from '@/utils/request'

// 查询今日销售总金额，总升数
export function listSum(query) {
  return request({
    url: '/station/order/selectDaySources',
    method: 'get',
    params: query
  })
}


// 查询今日销售总金额，总升数包括已经作废的订单
export function listAllSum(query) {
  return request({
    url: '/station/order/selectAllDaySources',
    method: 'get',
    params: query
  })
}


//根据油品查询总的金额
export function listOilType(query) {
  return request({
    url: '/station/order/selectOilTypeSources',
    method: 'get',
    params: query
  })
}
//根据油品查询总的金额（包括退款的信息）
export function listAllOilType(query) {
  return request({
    url: '/station/order/selectAllOilTypeSources',
    method: 'get',
    params: query
  })
}
//查询收入的金额展示
export function listViewData(query) {
  return request({
    url: '/station/order/selectOverViewData',
    method: 'get',
    params: query
  })
}
//查询收入的金额展示（包括退款）
export function listAllViewData(query) {
  return request({
    url: '/station/order/selectAllOverViewData',
    method: 'get',
    params: query
  })
}

// 查询订单支付详细
export function getOrder(orderId) {
  return request({
    url: '/station/order/' + orderId,
    method: 'get'
  })
}

export function listDayReport(query) {
  return request({
    url: '/station/order/selectDayReport',
    method: 'get',
    params: query
  })
}
//查询本月的消费情况
export function selectDayReportDetail(query) {
  return request({
    url: '/station/order/selectDayReportDetail',
    method: 'get',
    params: query
  })
}
//查询本月的消费情况（包括已经退款的）
export function selectAllDayReportDetail(query) {
  return request({
    url: '/station/order/selectAllDayReportDetail',
    method: 'get',
    params: query
  })
}
//查询本天的消费情况
export function getDetails(query) {
  return request({
    url: '/station/order/dayOilTypeSources',
    method: 'get',
    params: query
  })
}
//查询本天的消费情况（包括已经退款的）
export function getAllDetails(query) {
  return request({
    url: '/station/order/dayAllOilTypeSources',
    method: 'get',
    params: query
  })
}
export function listQydata92(query) {
  return request({
    url: '/station/order/listQydata92',
    method: 'get',
    params: query
  })
}
export function listQydata95(query) {
  return request({
    url: '/station/order/listQydata95',
    method: 'get',
    params: query
  })
}
export function listQydata98(query) {
  return request({
    url: '/station/order/listQydata98',
    method: 'get',
    params: query
  })
}
export function listQydata0(query) {
  return request({
    url: '/station/order/listQydata0',
    method: 'get',
    params: query
  })
}
export function listQydata10(query) {
  return request({
    url: '/station/order/listQydata10',
    method: 'get',
    params: query
  })
}
export function listQydata20(query) {
  return request({
    url: '/station/order/listQydata20',
    method: 'get',
    params: query
  })
}
export function listXdata(query) {
  return request({
    url: '/station/order/listXdata',
    method: 'get',
    params: query
  })
}
//累计充值
export function listCZXFData(query) {
  return request({
    url: '/customer/record/listCZXFData',
    method: 'get',
    params: query
  })
}
//累计充值（包含退款金额）
export function listAllCZXFData(query) {
  return request({
    url: '/customer/record/listAllCZXFData',
    method: 'get',
    params: query
  })
}
//汇总电子卡
export function listHYData(query) {
  return request({
    url: '/customer/card/listHYData',
    method: 'get',
    params: query
  })
}


export function listJRHYData(query) {
  return request({
    url: '/customer/card/listJRHYData',
    method: 'get',
    params: query
  })
}

